import Image from "next/image";
import { useEffect, useState } from "react";
import axios from "axios";

export default function DisplayComponent(props) {
  const [data , setData] = useState();

  const getPageData = async () => {
    try {
      await axios.get(`/api/page/get`).then((result) => {
        console.log("result", result);
        console.log("result.data?.data", result.data?.data);
        setData(result.data?.data);
       
      });
    } catch (err) {
      console.log(err);
    }
  };
useEffect(()=>{
  getPageData();
  console.log("data", data);
},[])
  return (
    <>
      <section className="about__area pt-25 pb-80 about-orange-color ">
        <div className="container">
          <div className="row">
          <div className="col-xxl-6 col-xl-6 col-lg-6">
              <div className="about__wrapper-4 pt-25 ">             
                <div className="page-text">
                  <Image  width={500} height={450} src={"/img/about/6/about-1.jpg"} alt = "هیات بورد فوق تخصصی بیماری های گوارش و کبد بزرگسالان"/>
                  
                </div>
              </div>
            </div>
            {data?.map((item)=>(
               <div className="col-xxl-6 col-xl-6 col-lg-6" key={item._id}>
              <div className="about__wrapper-4 pt-25">             
                <div className="page-text mt-100">
                  <div dangerouslySetInnerHTML={{ __html: item.text }} />
                </div>
              </div>
            </div>
            ))}
           
          </div>
        </div>
      </section>
    </>
  );
}
