import mongoose from "mongoose";

const contactSchema = new mongoose.Schema({
  phone: { type: String },
  name: { type: String, required: true, unique: true },
  email: { type: String, required: true },
  section : {type : String},
  message: { type: String, required: true },
  lastLogin: { type: Date },
  isReaded : {type: Boolean, default: false},
});

export default mongoose.models.Contact ||
  mongoose.model("Contact", contactSchema);
