import Member from "../../../model/member";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
   if (req.method === "GET") {
    try {
      console.log("req.method", req.method, req.query);
      await dbConnect();
      let members = await Member.find({mode:req.query.id}).sort({rowNumber:1});
       res.status(200).json({ success: true, data: members });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  } 
   
}
