import Questions from "../../../model/questions";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
import { uploadQuestion } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadQuestion.single("fileName"))

  .put(async (req, res) => {
    try {
      let body = req.body;
      let file = req.file;

       console.log("body", body);
      
      await dbConnect();
      let result;
      if (file) {
        result = Questions.findByIdAndUpdate(body.id, {
            title: body.title,
            category: body.category,
            fileName: file.filename,
            rowNumber: body.rowNumber,
            description: body.description,
        },(err, doc, ress)=>{});
      } else {
        result = Questions.findByIdAndUpdate(body.id, {
            title: body.title,
            category: body.category,
            rowNumber: body.rowNumber,
            description: body.description,
        },(err, doc, ress)=>{});
      }

      if (!result) {
        console.log(error);
        return res.status(401).json({
          message: "ERROR",
          success: false,
        });
      }
 
      return res.status(200).json({
        message: "success",
        success: true,
      });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
