import Questions2 from "../../../model/question2";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "POST") {
    try {
      await dbConnect();
      let question = await Questions2.findById(req.body.id);

      console.log("----------", req.body, question);
      res.status(200).json({ success: true, data: question });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  }
}
