import Slide from "../../../model/slide";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
  console.log("req.method", req.method, req.query);
  if (req.method === "GET") {
    try {
      await dbConnect();
      let slides = await Slide.find().sort({rowNumber:1});
      console.log(slides);
      res.status(200).json({ success: true, data: slides });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  } 
   
}