import mongoose from "mongoose";

const contentschema = new mongoose.Schema({
  title: { type: String, required: true},
  description: { type: String, required: true},
  author: { type: String, required: true},
  date: { type: Date },
  image: {
    type: String,
  },
  delete: { type: Boolean, default: false, required: true },
});

export default mongoose.models.Content || mongoose.model("Content", contentschema);
