import "@/styles/bootstrap-rtl.min.css";
import "@/styles/animate.min.css";
import "@/styles/default.css";
import "@/styles/flaticon.css";
import "@/styles/fontAwesome5Pro.css";
import "@/styles/meanmenu.css";
import "@/styles/nice-select.css";
import "@/styles/style.css";
import "@/styles/swiper-bundle.css";
import "@/styles/preloader.css";
import Layout from "./layout";
import NextNProgress from "nextjs-progressbar";
 
export default function App({ Component, pageProps }) {
  return (
    <Layout>
      <NextNProgress
        color="#29D"
        startPosition={0.3}
        stopDelayMs={200}
        height={3}
        showOnShallow={true}
      />
      <Component {...pageProps} />
    </Layout>
  );
}
//  <RootLayout>
//    <NextNProgress
//      color="#29D"
//      startPosition={0.3}
//      stopDelayMs={200}
//      height={3}
//      showOnShallow={true}
//    />
//    <Component {...pageProps} />
//  </RootLayout>
//     <Component {...(<RootLayout />)} />
//   );
// }
