import Member from "../../../model/member";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "POST") {
    try {
      await dbConnect();
      let member = await Member.findById(req.body.id);

       res.status(200).json({ success: true, data: member });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  }
}
