import Page from "../../../model/page";
import dbConnect from "../../../utils/dbConnect";
import nc from "next-connect";
 import { uploadImage } from "@/middlewares/uploadMiddleware";

export const config = {
  api: {
    bodyParser: false,
  },
};

const handler = nc()
  .use(uploadImage.single("fileName"))
  .post(async (req, res) => {
    try {
      let body = req.body;
      
      console.log("handlerhandlerhandler", req.method, req.body);
      await dbConnect();
      let exist = await Page.findOne({ name: body.pageName.trim() });
      console.log("exist", exist);
      let file = req.file;
      if (!exist) {
        if (!file) {
          return res.status(200).json({
            message: "تصویر مربوط به صفحه را انتخاب نمایید",
            success: false,
          });
        }
        const newPage = new Page({
          name: body.pageName,
          title: body.title,
          text: body.text,
          fileName: file.filename,
        });
        newPage
          .save()
          .then((result) => {
            return res.status(200).json({
              message: "success",
              success: true,
            });
          })
          .catch((error) => {
            return res.status(401).json({
              message: "ERROR",
              success: false,
            });
          });
      } else {
        if (!req.file) {
          Page.findByIdAndUpdate(
            exist._id,
            {
              title: body.title,
              text: body.text, 
            },
            (err, doc, ress) => {
              if (err || !doc) {
                return res.status(401).json({
                  message: "ERROR",
                  success: false,
                });
              }
              return res.status(200).json({
                message: "success",
                success: true,
              });
            }
          );
        }else{
          Page.findByIdAndUpdate(
            exist._id,
            {
              title: body.title,
              text: body.text,
              fileName: file.filename,
            },
            (err, doc, ress) => {
              if (err || !doc) {
                return res.status(401).json({
                  message: "ERROR",
                  success: false,
                });
              }
              return res.status(200).json({
                message: "success",
                success: true,
              });
            }
          );
        }
       
      }
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  });

export default handler;
