import Podcast from "../../../model/podcast";
import dbConnect from "../../../utils/dbConnect";

export default async function handler(req, res) {
  console.log("req.method", req.method);
  if (req.method === "GET") {
    try {
      await dbConnect();
      let podcasts = await Podcast.find().sort({rowNumber:1});
      console.log(podcasts);
      res.status(200).json({ success: true, data: podcasts });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
  } else if (req.method === "POST") {
    try {
      let body = req.body;
      // console.log("-----", form, req.file, req.files);
      return res.status(200).json({
        message: "success",
        success: true,
      });
      await dbConnect();
      const newPodcast = new Podcast({
        name: body.name,
        fileName: body.fileName,
        description: body.description,
        rowNumber: body.rowNumber,
      });
      console.log("newPodcast", newPodcast);
      newPodcast
        .save()
        .then((result) => {
          console.log("myresult", result);

          return res.status(200).json({
            message: success,
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }

    return;
  } else if (req.method === "PUT") {
    try {
      console.log("body", req.body);
      let body = req.body;
      await dbConnect();
      Podcast.findByIdAndUpdate(body.id, {
        name: body.name,
        rowNumber: body.rowNumber,
        description: body.description,
        fileName: body.fileName,
      })
        .then((result) => {
          console.log("myresult", result);

          return res.status(200).json({
            message: "success",
            success: true,
          });
        })
        .catch((error) => {
          console.log(error);
          return res.status(401).json({
            message: "ERROR",
            success: false,
          });
        });
    } catch (err) {
      console.log(err);
      return res.status(401).json({
        message: "Error",
        success: false,
      });
    }
    return;
  }
}
